use std::env;
use std::path::Path;
use std::process::Command;

fn main() {
    let out_dir = env::var("OUT_DIR").unwrap();

    let input = "tailwind.css";
    let output = "assets/tailwind.css";

    if !Path::new(input).exists() {
        panic!("Input CSS file not found: {input}");
    }

    // Run the Tailwind CLI
    let status = Command::new("tailwindcss")
        .args(&["-i", input, "-o", output, "--minify"])
        .status()
        .expect("Failed to run Tailwind CLI. Is it installed?");

    if !status.success() {
        panic!("Tailwind build failed with exit code: {}", status);
    }

    println!("cargo:rerun-if-changed={input}");
    println!("cargo:rerun-if-changed=tailwind.config.js");
}
