use dioxus::prelude::*;

use crate::ItemTile;

#[component]
pub fn ItemPage() -> Element {
    let items = use_resource(async || {
        let api = crate::API.read();
        let api = api.as_ref().unwrap();
        let items = api.get_items().await;

        items.iter().map(|x| x.clone()).collect::<Vec<_>>()
    });

    rsx! {
        h1 { "Items" },
        // barcode scan button

        match &*items.read_unchecked() {
            Some(items) => {
                rsx! {
                    div {
                        class: "flex flex-col",
                        for item in items {
                            ItemTile { item: item.clone() }
                        }
                    }
                }
            },
            None => { rsx! { p { "Loading" }}}
        }


        button {
            onclick: move |_| {
                // TODO : scan transaction qr
            },
            "Scan QR Transaction"
         }


    }
}
