use dioxus::prelude::*;
use dioxus_material_icons::MaterialIcon;

use crate::{api::get_item, Route};

#[component]
pub fn TransactionPage(id: String) -> Element {
    let id = use_signal(|| id.clone());
    let transaction = use_resource(move || async move {
        crate::api::API::get_transaction(id.read().to_string()).await
    });

    rsx! {
            match transaction.value()()  {
                Some(transaction) => rsx! {

                    button {
                        onclick: move |_| {
                            navigator().push(Route::ConsumePage { id: transaction.uuid.clone(), item: transaction.item.clone(), variant: transaction.variant.clone() });
                        },
                        "Consume"
                    },

    div {
                id: "column",

                div {
                    id: "row",

                    // TODO : transaction qr code

                    div {
                        id: "col-1",

                        p { {get_item(&transaction.item).unwrap().name.as_str()} }
                        p { {get_item(&transaction.item).unwrap().variants.get(&transaction.variant).as_ref().unwrap().name.clone()} }
                        p { {transaction.timestamp.to_string()} }
                    }
                },

                // TODO : expired notify

                // icon texts

                // price
                p { {transaction.price.to_string()} },
                // origin
                if let Some(origin) = &transaction.origin {
                    IconLabel { icon: "home".to_string(), label: "Origin".to_owned(), value: origin.clone() }
                }
                // location
                // note


                // consume info
            }
                },
                None => rsx! { p { "Loading..." }}
            }


        }
}

#[component]
pub fn IconLabel(icon: String, label: String, value: String) -> Element {
    rsx! {
        div { class: "flex items-center space-x-3",
            MaterialIcon {
                name: icon,
                size: 12,
            },

            div { class: "flex flex-col",
                span { class: "text-sm font-medium text-gray-700", "{label}" }
                span { class: "text-lg font-semibold text-gray-900", "{value}" }
            }
        }
    }
}
